Skip to main content
`Ctrl`+`K`

# PEPJDSetReusePreconditioner

Sets a flag indicating whether the preconditioner must be reused or not.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPJDSetReusePreconditioner(PEP pep,PetscBool reusepc)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- reusepc - the reuse flag

## Options Database Key

- -pep_jd_reuse_preconditioner (true|false) - the reuse flag

## Note

The default value is `PETSC_FALSE`. If set to `PETSC_TRUE`, the preconditioner is built only at the beginning, using the target value. Otherwise, it may be rebuilt (depending on the `fix` parameter) at each iteration from the Ritz value.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPJD`, `PEPJDGetReusePreconditioner()`, `PEPJDSetFix()`

## Level

advanced

## Location

src/pep/impls/jd/pjd.c

## Implementations

PEPJDSetReusePreconditioner_JD() in src/pep/impls/jd/pjd.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages